Subject: Re: [PATCH v2 00/11] Spring cleanup of "contrib/"

From: Junio C Hamano <[email-masked]>
Date: Fri, 09 May 2025 17:00:35 -0700

Elijah Newren <[email-masked]> writes:

> On Fri, May 9, 2025 at 2:20 AM Patrick Steinhardt <[email-masked]> wrote:
>>
>> Hi,
>>
>> as I have lamented multiple times multiple times already (e.g. [1]), the
>> "contrib/" directory is a bit of a mess containing many bits and pieces
>> that just sit there gathering dust, without getting any maintenance and
>> sometimes even in a clearly-broken state. So I decided to finally bite
>> the bullet and do a spring cleanup of "contrib/", which resulted in this
>> patch series here.
>>
>> I have used the following reasons for removal:
>>
>>   - The tool is clearly broken, e.g. it doesn't even compile.
>>
>>   - The tool hasn't received any updates for at least the last 5 years.
>>
>>   - The tool has a clear alternative or just isn't useful anymore.
>
> Do we still want to use your second reason listed as a reason to
> remove?  Junio brought that up on v1, and it bothers me a bit too.

FWIW, I would drop the second one and not mention, even if one
personally used as an initial filter to find candidates for removal.
It alone is not a valid justification.  Not mentioning it would
close the door for complaints like "It may not have needed updates
since it works perfectly well for me".